Method: users.pairedDevices.list

Returns the user's list of paired 1P trackers and smartwatches.

HTTP request

GET https://health.googleapis.com/v4/{parent=users/*}/pairedDevices

The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of devices. Format: users/{user} It takes the form users/{user}.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of devices to return. The service may return fewer than this value. If unspecified, at most 5 devices will be returned. The maximum value is 100. values above 100 will be coerced to 100.

pageToken

string

Optional. A page token, received from a previous pairedDevices.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to pairedDevices.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response message for pairedDevices.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "pairedDevices": [
    {
      object (PairedDevice)
    }
  ],
  "nextPageToken": string
}
Fields
pairedDevices[]

object (PairedDevice)

The paired devices of the user.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/googlehealth.settings.readonly

For more information, see the OAuth 2.0 Overview.